# cacatv

Transforms video into color ascii art.

Example launch line |[ gst-launch-1.0 videotestsrc ! cacatv ! videoconvert ! autovideosink ]| This pipeline shows the effect of cacatv on a test stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──cacatv

## Factory details

Authors: – Eric Marks

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – cacasink

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { RGB, BGR, RGBx, xRGB, BGRx, xBGR, RGBA, RGB16, RGB15 }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { ARGB }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### anti-aliasing

    “anti-aliasing” gboolean

Enables Anti-Aliasing

Flags : Read / Write

Default value : false

### canvas-height

    “canvas-height” gint

The height of the canvas in characters

Flags : Read / Write

Default value : 24

### canvas-width

    “canvas-width” gint

The width of the canvas in characters

Flags : Read / Write

Default value : 80

### dither

    “dither” Cacatv-dithering *

Set type of Dither

Flags : Read / Write

Default value : (0)

### font

    “font” gint

selected libcaca font

Flags : Read / Write

Default value : 0

## Named constants

### Cacatv-dithering

#### Members

`none` (49) – No dither_mode
`2x2` (50) – Ordered 2x2 Bayer dither_mode
`4x4` (51) – Ordered 4x4 Bayer dither_mode
`8x8` (52) – Ordered 8x8 Bayer dither_mode
`random` (53) – Random dither_mode

The results of the search are